<?php

/**
 * Class SG_Daily_Entries
 */

namespace Simple_Giveaways;

if ( ! class_exists( '\Simple_Giveaways\SG_Daily_Entries_Dummy' ) ) {
	class SG_Daily_Entries_Dummy extends GA_Integration {

		/**
		 * Setting initial params
		 */
		public function __construct() {

			$this->title       = __( 'Daily Entries', 'giveasap' );
			$this->settings_id = 'sg_daily_entries';
			$this->image       = untrailingslashit( GASAP_URI ) . '/includes/integrations/assets/clock.svg';
			$this->desc        = __( 'Enables you to have daily entries for any extra action.', 'giveasap' );

		}

		public function buttons( $integrations ) {
			echo '<a href="' . esc_url( giv_fs()->get_upgrade_url() ) . '" class="button button-primary">' . esc_html__( 'Upgrade to PRO', 'giveasap' ) . '</a>';
		}

	}
}

add_filter( 'giveasap_integrations', '\Simple_Giveaways\sg_daily_entries_register' );

/**
 * Registering Math Captcha
 *
 * @return array
 */
function sg_daily_entries_register( $integrations ) {

	$integrations['sg_daily_entries'] = '\Simple_Giveaways\SG_Daily_Entries_Dummy';

	return $integrations;
}
